Skip to main content
`Ctrl`+`K`

# PetscViewerPythonGetType

Get the Python name of a `PetscViewer` object implemented in Python.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscViewerPythonGetType(PetscViewer viewer, const char *pyname[])

Not Collective

## Input Parameter

- viewer - the viewer

## Output Parameter

- pyname - full dotted Python name [package].module[.{class|function}]

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerType`, `PetscViewerCreate()`, `PetscViewerSetType()`, `PETSCVIEWERPYTHON`, `PetscPythonInitialize()`, `PetscViewerPythonSetType()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/python/pythonviewer.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages